package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.parser.FileParserUtil;
import java.util.Properties;
import javax.activation.DataHandler;
import javax.activation.FileDataSource;
import javax.mail.Message;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeBodyPart;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMultipart;
import sun.misc.BASE64Encoder;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/SendMailNewAction.class */
public class SendMailNewAction extends LifeAction {
    private String smtpHost;
    private String mailFromField;
    private String filePathField;
    private String fileNameField;
    private String userNameField;
    private String passwordField;
    private String subjectField;
    private String mailToListField;
    private String[] TOS;
    private String contentField;

    public String execute(Context context) throws GENEException {
        Properties props = new Properties();
        String host = (String) context.getDataValue(this.smtpHost);
        props.put("mail.smtp.host", host);
        props.put("mail.smtp.auth", "true");
        Session session = Session.getDefaultInstance(props);
        session.setDebug(true);
        MimeMessage message = new MimeMessage(session);
        String info = ReadHTML.reMailString();
        String context1 = (String) context.getDataValue(this.contentField);
        Transport replace = info.replace("<b>", context1).replace("szyqjrb1", "<br/><br/>&nbsp;&nbsp;&nbsp;&nbsp;").replace("szyqjrb2", "<span style='font-size:20px'>").replace("szyqjrb3", "</span>");
        try {
            String from = (String) context.getDataValue(this.mailFromField);
            message.setFrom(new InternetAddress(from, "昆山金融超市"));
            String to = (String) context.getDataValue(this.mailToListField);
            this.TOS = to.split(",");
            InternetAddress[] sendTo = new InternetAddress[this.TOS.length];
            for (int i = 0; i < this.TOS.length; i++) {
                sendTo[i] = new InternetAddress(this.TOS[i]);
            }
            message.addRecipients(Message.RecipientType.TO, sendTo);
            String subject = (String) context.getDataValue(this.subjectField);
            message.setSubject(subject);
            MimeMultipart mimeMultipart = new MimeMultipart();
            MimeBodyPart mimeBodyPart = new MimeBodyPart();
            mimeBodyPart.setContent(replace, "text/html;charset=utf-8");
            mimeMultipart.addBodyPart(mimeBodyPart);
            String AFFIX = (String) context.getDataValue(this.filePathField);
            if (AFFIX != null && !AFFIX.isEmpty()) {
                MimeBodyPart mimeBodyPart2 = new MimeBodyPart();
                mimeBodyPart2.setDataHandler(new DataHandler(new FileDataSource(AFFIX)));
                BASE64Encoder enc = new BASE64Encoder();
                String AFFIXNAME = (String) context.getDataValue(this.fileNameField);
                mimeBodyPart2.setFileName("=?GBK?B?" + enc.encode((AFFIXNAME == null ? "" : AFFIXNAME).getBytes()) + "?=");
                mimeMultipart.addBodyPart(mimeBodyPart2);
            }
            message.setContent(mimeMultipart);
            message.saveChanges();
            Transport transport = session.getTransport("smtp");
            String USER = (String) context.getDataValue(this.userNameField);
            String PWD = (String) context.getDataValue(this.passwordField);
            transport.connect(host, USER, PWD);
            transport.sendMessage(message, message.getAllRecipients());
            replace = transport;
            replace.close();
            return "0";
        } catch (Exception e) {
            replace.printStackTrace();
            Trace.logError("LifeAction", "EBPB0902::发送邮件失败", e);
            throw new TranFailException("EBPB0902", "发送邮件失败", false);
        }
    }

    private static String variableAnalyzer(Context context, String logStr) {
        int index = 0;
        String fieldValue = "";
        StringBuffer subContent = new StringBuffer();
        String searchTag = searchTag(logStr, 0, "${", "}");
        while (true) {
            String tag = searchTag;
            if (!tag.equals("NOTAG")) {
                String fieldStr = trimTag(tag, "${", "}");
                subContent.append(logStr.substring(index, logStr.indexOf(tag, index)));
                if (fieldStr.indexOf("|") >= 0) {
                    String fieldName = fieldStr.split("\\|")[0];
                    try {
                        fieldValue = (String) context.getDataValue(fieldName);
                    } catch (GENEException unused) {
                    }
                    String format = fieldStr.split("\\|")[1];
                    subContent.append(FileParserUtil.transformFormat(fieldValue, (format == null || format.length() != 0) ? format : null));
                } else {
                    try {
                        subContent.append((String) context.getDataValue(fieldStr));
                    } catch (GENEException unused2) {
                    }
                }
                index = logStr.indexOf(tag, index) + tag.length();
                searchTag = searchTag(logStr, index, "${", "}");
            } else {
                subContent.append(logStr.substring(index, logStr.length()));
                return subContent.toString();
            }
        }
    }

    private static String searchTag(String str, int index, String startWith, String endWith) {
        int index2;
        int index1 = str.indexOf(startWith, index);
        if (index1 == -1 || (index2 = str.indexOf(endWith, index)) == -1) {
            return "NOTAG";
        }
        if (index2 == index1 + 2) {
            return "";
        }
        return str.substring(index1, index2 + endWith.length());
    }

    private static String trimTag(String tag, String startWith, String endWith) {
        int index1 = tag.indexOf(startWith);
        int index2 = tag.indexOf(endWith);
        return tag.substring(index1 + startWith.length(), index2).trim();
    }

    public String getSmtpHost() {
        return this.smtpHost;
    }

    public void setSmtpHost(String smtpHost) {
        this.smtpHost = smtpHost;
    }

    public String getMailFromField() {
        return this.mailFromField;
    }

    public void setMailFromField(String mailFromField) {
        this.mailFromField = mailFromField;
    }

    public String getFilePathField() {
        return this.filePathField;
    }

    public void setFilePathField(String filePathField) {
        this.filePathField = filePathField;
    }

    public String getFileNameField() {
        return this.fileNameField;
    }

    public void setFileNameField(String fileNameField) {
        this.fileNameField = fileNameField;
    }

    public String getUserNameField() {
        return this.userNameField;
    }

    public void setUserNameField(String userNameField) {
        this.userNameField = userNameField;
    }

    public String getPasswordField() {
        return this.passwordField;
    }

    public void setPasswordField(String passwordField) {
        this.passwordField = passwordField;
    }

    public String getSubjectField() {
        return this.subjectField;
    }

    public void setSubjectField(String subjectField) {
        this.subjectField = subjectField;
    }

    public String getMailToListField() {
        return this.mailToListField;
    }

    public void setMailToListField(String mailToListField) {
        this.mailToListField = mailToListField;
    }

    public String getContentField() {
        return this.contentField;
    }

    public void setContentField(String contentField) {
        this.contentField = contentField;
    }
}
